Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class JndiPath

    java.lang.Object
      |
      +--com.caucho.vfs.Path
            |
            +--com.caucho.vfs.FilesystemPath
                  |
                  +--com.caucho.vfs.JndiPath

public class JndiPath
extends FilesystemPath

Adapts the JNDI to the Path API. The name separator is always '/'.

Since:
  Resin 1.2

Field Summary
`protected static WriteStream` | `dbg`
`protected static L10N` | `L`

Fields inherited from class com.caucho.vfs.FilesystemPath
`bindRoot, pathname, root, separatorChar, userPath`

Fields inherited from class com.caucho.vfs.Path
`schemeMap`

Constructor Summary
`protected` | `JndiPath(FilesystemPath root, java.lang.String userPath, java.lang.String path)` Create a new JndiPath with the given name.

Method Summary
`protected Path` | `fsWalk(java.lang.String userPath, java.util.Map attributes, java.lang.String path)` Walking down the path just stores the new name in the created Path.
`java.lang.Object` | `getObject()` Returns the object bound at this path.
`java.lang.String` | `getScheme()` The scheme is always "jndi:".
`boolean` | `mkdir()` Create a new subcontext
`void` | `setObject(java.lang.Object value)` Sets the object bound at this path.

Methods inherited from class com.caucho.vfs.FilesystemPath
`bind, copy, createRoot, equals, getFullPath, getParent, getPath, getTail, getURL, getUserPath, hashCode, normalizePath, normalizePath, schemeWalk, setUserPath, toString`

Methods inherited from class com.caucho.vfs.Path
`canRead, canWrite, createNewFile, createRoot, createTempFile, exists, getAttribute, getAttributeNames, getContentType, getHost, getLastModified, getLength, getNativePath, getPort, getQuery, getResources, getResources, getValue, isDirectory, isFile, isObject, iterator, list, lookup, lookup, lookupNative, lookupNative, mkdirs, openAppend, openAppendImpl, openRead, openReadImpl, openReadWrite, openReadWrite, openReadWriteImpl, openWrite, openWriteImpl, remove, removeAttribute, renameTo, renameTo, scanScheme, setAttribute, setLastModified, setValue, unbind, writeToStream`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dbg

    protected static WriteStream dbg

### L

    protected static L10N L

Constructor Detail

### JndiPath

    protected JndiPath(FilesystemPath root,
                       java.lang.String userPath,
                       java.lang.String path)

  Create a new JndiPath with the given name.

Method Detail

### fsWalk

    protected Path fsWalk(java.lang.String userPath,
                          java.util.Map attributes,
                          java.lang.String path)

  Walking down the path just stores the new name in the created Path.
  Overrides:
    `fsWalk` in class `FilesystemPath`
  Parameters:
    `userPath` - the string used in the `lookup` call.
    `attributes` - any inherited attributes.
    `path` - the normalized slash-separated path.
  Returns:
    a new JndiPath representing the new path.

### getScheme

    public java.lang.String getScheme()

  The scheme is always "jndi:".
  Overrides:
    `getScheme` in class `Path`

### mkdir

    public boolean mkdir()
                  throws java.io.IOException

  Create a new subcontext
  Overrides:
    `mkdir` in class `Path`
  Following copied from class: `com.caucho.vfs.Path`
  Returns:
    true if successful.

### getObject

    public java.lang.Object getObject()
                               throws java.io.IOException

  Returns the object bound at this path.
  Overrides:
    `getObject` in class `Path`

### setObject

    public void setObject(java.lang.Object value)
                   throws java.io.IOException

  Sets the object bound at this path.
  Overrides:
    `setObject` in class `Path`
  Parameters:
    `value` - the new value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD